import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.Timeout;

import static org.junit.Assert.assertArrayEquals;

public class Aufgabe1Test {

    @Rule
    public Timeout globalTimeout = Timeout.millis(1000);

    @Test
    public void testLargestRemainderSize5General() throws Exception {

        int[] array = new int[]{15,12,10,14,17};
        Aufgabe1.largestRemainder(array,5,3);
        int[] expected = new int[]{15,12,10,4,14};
        assertArrayEquals(expected, array);

    }

    @Test
    public void testLargestRemainderSize5First() throws Exception {

        int[] array = new int[]{15,12,10,14,17};
        Aufgabe1.largestRemainder(array,5,0);
        int[] expected = new int[]{4,15,12,10,14};
        assertArrayEquals(expected, array);

    }

    @Test
    public void testLargestRemainderSize5Last() throws Exception {

        int[] array = new int[]{15,12,10,14,17};
        Aufgabe1.largestRemainder(array,5,4);
        int[] expected = new int[]{15,12,10,14,2};
        assertArrayEquals(expected, array);

    }

    @Test
    public void testAddLargestRemainderSize5() throws Exception {

        int[] array = new int[]{15,12,10,14,17};
        array = Aufgabe1.addLargestRemainder(array,5);
        int[] expected = new int[]{4,15,12,10,14,17};
        assertArrayEquals(expected, array);

    }

    @Test
    public void testAddLargestRemainderSize1() throws Exception {

        int[] array = new int[]{15};
        array = Aufgabe1.addLargestRemainder(array,4);
        int[] expected = new int[]{3,15};
        assertArrayEquals(expected, array);

    }



}